org.h2.table

## Enum TableType

- java.lang.Object
- - java.lang.Enum<TableType>
  - - org.h2.table.TableType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TableType>

    public enum TableType
    extends java.lang.Enum<TableType>

The table types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTERNAL_TABLE_ENGINE` The table type name for external table engines.
`MATERIALIZED_VIEW` The table type name for materialized views.
`SYSTEM_TABLE` The table type name for system tables.
`TABLE` The table type name for regular data tables.
`TABLE_LINK` The table type name for linked tables.
`VIEW` The table type name for views.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static TableType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TableType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE_LINK

    public static final TableType TABLE_LINK

The table type name for linked tables.

#### SYSTEM_TABLE

    public static final TableType SYSTEM_TABLE

The table type name for system tables. (aka. MetaTable)

#### TABLE

    public static final TableType TABLE

The table type name for regular data tables.

#### VIEW

    public static final TableType VIEW

The table type name for views.

#### EXTERNAL_TABLE_ENGINE

    public static final TableType EXTERNAL_TABLE_ENGINE

The table type name for external table engines.

#### MATERIALIZED_VIEW

    public static final TableType MATERIALIZED_VIEW

The table type name for materialized views.

### Method Detail

#### values

    public static TableType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TableType c : TableType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TableType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<TableType>`